velocityStatistics {oce} | R Documentation

## Report Statistics of adp or adv Velocities

### Description

Report statistics of ADP or ADV velocities, such as means and variance ellipses.

### Usage

    velocityStatistics(x, control, ...)

### Arguments

`x` | an ADV or ADP object.
`control` | an optional list used to specify more information. In this version, this is ignored for ADV objects. For ADP objects, if `control$bin` is an integer, it is taken as the bin to be selected (otherwise, an average across bins is used).
`...` | additional arguments that are used in the call to `mean`.

### Details

This function has been tested on only a single file, and the data-scanning algorithm was based on visual inspection of that file. Whether it will work generally is an open question.

### Value

A list containing items the major and minor axes of the covariance ellipse (`ellipseMajor` and `ellipseMinor`), the angle of the major axis anticlockwise of the horizontal axis (`ellipseAngle`), and the x and y components of the mean velocity (`uMean` and `vMean`).

### Author(s)

Dan Kelley

### Examples

    library(oce)
    data(adp)
    a <- velocityStatistics(adp)
    print(a)
    t <- seq(0, 2*pi, length.out=100)
    theta <- a$ellipseAngle * pi / 180
    y <- a$ellipseMajor * cos(t) * sin(theta) + a$ellipseMinor * sin(t) * cos(theta)
    x <- a$ellipseMajor * cos(t) * cos(theta) - a$ellipseMinor * sin(t) * sin(theta)
    plot(adp, which="uv+ellipse+arrow")
    lines(x, y, col='blue', lty="dashed", lwd=5)
    arrows(0, 0, a$uMean, a$vMean, lwd=5, length=1/10, col='blue', lty="dashed")

[Package oce version 0.9-18 Index]